#ifndef _UTILS_H
#define _UTILS_H

#include <stdio.h>
#include <math.h>
#include <float.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/types.h>

void make_directory(char* name);

double log_sum(double log_a, double log_b);
double log_sum(double* log_x, int n);
double lgamma(double x);
double max(double* x, int n);
int argmax(double* x, int n);
double dotprod(double *a, double *b, const int&n);
void printmatrix(double **A, double n);

#endif
