import os
import os.path
import sys
import operator

def combine(filename, ofile):
	map = {}
	fobj = open(filename, "r");
	for line in fobj:
		terms = line.split();
		key = " ".join(terms[0:7])
		if key not in map:
			map[key] = [""] * 2
		if terms[7].find("TestAcc") != -1:
			val = " ".join(terms[7:])
			map[key][0] = val
		else:
			val = " ".join(terms[7:])
			map[key][1] = val
	fobj.close();

	lst = []
	for key in map.keys():
		val = map[key]
		val = "%s %s\n"%(key, " ".join(val))
		terms = key.replace(";", " ")
		terms = terms.split()
		K = int(terms[1])
		lst += [(K, val)];
	lst.sort(key=operator.itemgetter(0))
	fout = open(ofile, "w")
	for (K, val) in lst:
		fout.write(val)
	fout.close()

if __name__ == "__main__":
	inFile = sys.argv[1]
	oFile = sys.argv[2]
	combine(inFile, oFile)
